<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Calculation\Category</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_CATEGORY_CUBE" title="CATEGORY_CUBE ::">
                        <span class="description"></span><pre>CATEGORY_CUBE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CATEGORY_DATABASE" title="CATEGORY_DATABASE ::">
                        <span class="description"></span><pre>CATEGORY_DATABASE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CATEGORY_DATE_AND_TIME" title="CATEGORY_DATE_AND_TIME ::">
                        <span class="description"></span><pre>CATEGORY_DATE_AND_TIME</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CATEGORY_ENGINEERING" title="CATEGORY_ENGINEERING ::">
                        <span class="description"></span><pre>CATEGORY_ENGINEERING</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CATEGORY_FINANCIAL" title="CATEGORY_FINANCIAL ::">
                        <span class="description"></span><pre>CATEGORY_FINANCIAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CATEGORY_INFORMATION" title="CATEGORY_INFORMATION ::">
                        <span class="description"></span><pre>CATEGORY_INFORMATION</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CATEGORY_LOGICAL" title="CATEGORY_LOGICAL ::">
                        <span class="description"></span><pre>CATEGORY_LOGICAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CATEGORY_LOOKUP_AND_REFERENCE" title="CATEGORY_LOOKUP_AND_REFERENCE ::">
                        <span class="description"></span><pre>CATEGORY_LOOKUP_AND_REFERENCE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CATEGORY_MATH_AND_TRIG" title="CATEGORY_MATH_AND_TRIG ::">
                        <span class="description"></span><pre>CATEGORY_MATH_AND_TRIG</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CATEGORY_STATISTICAL" title="CATEGORY_STATISTICAL ::">
                        <span class="description"></span><pre>CATEGORY_STATISTICAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CATEGORY_TEXT_AND_DATA" title="CATEGORY_TEXT_AND_DATA ::">
                        <span class="description"></span><pre>CATEGORY_TEXT_AND_DATA</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Category</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_CATEGORY_CUBE"> </a>
                            <div class="element clickable constant constant_CATEGORY_CUBE" data-toggle="collapse" data-target=".constant_CATEGORY_CUBE .collapse">
                                <h2>CATEGORY_CUBE</h2>
                                <pre>CATEGORY_CUBE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CATEGORY_DATABASE"> </a>
                            <div class="element clickable constant constant_CATEGORY_DATABASE" data-toggle="collapse" data-target=".constant_CATEGORY_DATABASE .collapse">
                                <h2>CATEGORY_DATABASE</h2>
                                <pre>CATEGORY_DATABASE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CATEGORY_DATE_AND_TIME"> </a>
                            <div class="element clickable constant constant_CATEGORY_DATE_AND_TIME" data-toggle="collapse" data-target=".constant_CATEGORY_DATE_AND_TIME .collapse">
                                <h2>CATEGORY_DATE_AND_TIME</h2>
                                <pre>CATEGORY_DATE_AND_TIME</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CATEGORY_ENGINEERING"> </a>
                            <div class="element clickable constant constant_CATEGORY_ENGINEERING" data-toggle="collapse" data-target=".constant_CATEGORY_ENGINEERING .collapse">
                                <h2>CATEGORY_ENGINEERING</h2>
                                <pre>CATEGORY_ENGINEERING</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CATEGORY_FINANCIAL"> </a>
                            <div class="element clickable constant constant_CATEGORY_FINANCIAL" data-toggle="collapse" data-target=".constant_CATEGORY_FINANCIAL .collapse">
                                <h2>CATEGORY_FINANCIAL</h2>
                                <pre>CATEGORY_FINANCIAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CATEGORY_INFORMATION"> </a>
                            <div class="element clickable constant constant_CATEGORY_INFORMATION" data-toggle="collapse" data-target=".constant_CATEGORY_INFORMATION .collapse">
                                <h2>CATEGORY_INFORMATION</h2>
                                <pre>CATEGORY_INFORMATION</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CATEGORY_LOGICAL"> </a>
                            <div class="element clickable constant constant_CATEGORY_LOGICAL" data-toggle="collapse" data-target=".constant_CATEGORY_LOGICAL .collapse">
                                <h2>CATEGORY_LOGICAL</h2>
                                <pre>CATEGORY_LOGICAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CATEGORY_LOOKUP_AND_REFERENCE"> </a>
                            <div class="element clickable constant constant_CATEGORY_LOOKUP_AND_REFERENCE" data-toggle="collapse" data-target=".constant_CATEGORY_LOOKUP_AND_REFERENCE .collapse">
                                <h2>CATEGORY_LOOKUP_AND_REFERENCE</h2>
                                <pre>CATEGORY_LOOKUP_AND_REFERENCE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CATEGORY_MATH_AND_TRIG"> </a>
                            <div class="element clickable constant constant_CATEGORY_MATH_AND_TRIG" data-toggle="collapse" data-target=".constant_CATEGORY_MATH_AND_TRIG .collapse">
                                <h2>CATEGORY_MATH_AND_TRIG</h2>
                                <pre>CATEGORY_MATH_AND_TRIG</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CATEGORY_STATISTICAL"> </a>
                            <div class="element clickable constant constant_CATEGORY_STATISTICAL" data-toggle="collapse" data-target=".constant_CATEGORY_STATISTICAL .collapse">
                                <h2>CATEGORY_STATISTICAL</h2>
                                <pre>CATEGORY_STATISTICAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CATEGORY_TEXT_AND_DATA"> </a>
                            <div class="element clickable constant constant_CATEGORY_TEXT_AND_DATA" data-toggle="collapse" data-target=".constant_CATEGORY_TEXT_AND_DATA .collapse">
                                <h2>CATEGORY_TEXT_AND_DATA</h2>
                                <pre>CATEGORY_TEXT_AND_DATA</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Calculation\Category"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Calculation.html">Calculation</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Category.html">Category</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:47 +0000.<br/>
    </footer></body>
</html>
